API Reference
=============

.. warning::
    The API is not stable (yet) and by that should not be imported into third party modules.

SBOM Utilities
--------------

.. automodule:: debsbom.sbom
   :members:

Package Representations
-----------------------

.. automodule:: debsbom.dpkg.package
   :members:

APT Cache Retrieval
-------------------

.. automodule:: debsbom.apt.cache
   :members:

Package Downloader
------------------

.. automodule:: debsbom.download.download
   :members:

.. _package-resolving-label:

Package Resolving
-----------------

.. automodule:: debsbom.download.resolver
   :members:

Artifact Repacking
------------------

.. automodule:: debsbom.repack.packer
   :members:

.. automodule:: debsbom.repack.merger

Graph Exporting
---------------

.. automodule:: debsbom.export.exporter
   :members:

.. automodule:: debsbom.export.graphml
   :members:

Debian Snapshot Client
----------------------

.. automodule:: debsbom.snapshot.client
   :members:
